function [ff,L,lambdaz,m,mb,c,yz,g] = findk(kbar,pitildw,piss,sigmaL,lambdaw,beta,xiw,taul,wtilde,Lk,psil,psik, ...
    zeta,zetac,wstar,rk,upsil,muzstar,R,tauD,v,tauc,sigmaq,epsil,etag,b,psiL,A,s,alpha)

kbar=abs(kbar);

L = Lk*kbar;

w1 = 1 - ((pitildw/piss)^((1+sigmaL)*lambdaw/(1-lambdaw)))*beta*xiw;
w2 = 1 - ((pitildw/piss)^(1/(1-lambdaw)))*beta*xiw;
w3 = 1 - ((pitildw/piss)^(1/(1-lambdaw)))*xiw;

den = ( (w3/(1-xiw))^(1-lambdaw*(1+sigmaL)) ) * (w1/w2) * (1-taul)*wtilde;

lambdaz = lambdaw * psiL * zeta * zetac * (((wstar^(lambdaw/(lambdaw-1)))*L)^sigmaL)/den;

F = piss*muzstar*(psil*wtilde*Lk*(wstar^(lambdaw/(lambdaw-1))) + psik*rk/(upsil*muzstar))*kbar;

B = (F/(piss*muzstar))* ( ( lambdaz*(1-tauD)*R/(zetac * v * (((1+tauc)*A*kbar)^(1-sigmaq)) ) )^(1/(2-sigmaq)) );

m = 1/(1+B);

c = A*kbar;

if psil == 0 & psik == 0
    mb=(zetac*v*((1+tauc)*c)^(1-sigmaq)/(lambdaz*R))^(1/(2-sigmaq))*piss*muzstar;
else
    mb = F/(1-m);
end

yz = s * epsil * ((upsil*muzstar)^(-alpha)) * ( (wstar^(lambdaw/(lambdaw-1))*Lk) ^ (1-alpha) ) * kbar;

g = etag * yz;

if m > 1 | m < 0 | mb < 0 | yz < 0 | g < 0 | c < 0 | L < 0 | lambdaz < 0
    error('fatal (findk) inadmissible steady state')
end

ff = (1/c)*(muzstar - b*beta)*zetac/(muzstar-b) - zetac*v*(c^(-sigmaq)) * (( (1+tauc)*piss*muzstar/(m*mb) )^(1-sigmaq)) ...
    -(1+tauc)*lambdaz;