function plotkalmanforecast(Xdat,Yhat,VYhat,date,LL,nT,tauvar,fdiff,pii,Re,Ra,muzstar,upsil, ...
              ecb_projection,start_plot,datamean,demean,alf,R,entr)

%--------------------------------------------------------------------------
% function plotkalmanforecast
%--------------------------------------------------------------------------

if ecb_projection ==1 && fdiff ~=1 
    error ('(plotkalmanforecast): ecb_projection=1 and fdiff ~1; code not ready for this')
end

mmean = zeros(1,length(alf)); 
if demean ==1 && fdiff ==1 
    if entr==-1 || entr==-2
        Re=R;
    end
    lgms = log(muzstar);
    mmean = [lgms (pii-1) 0 lgms lgms lgms lgms lgms lgms lgms 0 0 Ra Re 0 lgms (log(pii)-log(upsil)) 0 0 lgms];
end

use_datamean =1;
if use_datamean ==1 && fdiff ==1
    mmean([1 2 4 5 6 7 8 9 10 12 13 14 16 17 18 19 20]) = datamean([1 2 4 5 6 7 8 9 10 12 13 14 16 17 18 19 20]);
end
mmean = mmean(tauvar);

n1 = 3;
n2 = 4;
[nn1,nn2,m] = size(VYhat);
T   = size(Xdat,2); %
tt  = start_plot:T;
tt1 = nT:m;
ttx = m:-1:nT; 
t1  = nT;

date1 = [date(1:t1); [(date(t1)+0.25):0.25:(date(t1)+0.25*(max(T,m)-t1))]'];

figure, orient landscape
ii=1;

n1=2; n2=3;

if max(tauvar==2)==1
    subplot(n1,n2,ii)  
    jj=find(tauvar==2);
    if ecb_projection ==1
        yoyear=1;
        if yoyear==0
           YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
           XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
           ff = 400;
           str = {'{\fontsize{12} \bf GDP Inflation}'; '{\fontsize{10} \it (annualised quarter-on-quarter % change)}'};
        else
          for kk=4:m
             YYhat(kk) = 100*(Yhat(jj,kk)+Yhat(jj,kk-1)+Yhat(jj,kk-2)+Yhat(jj,kk-3));
          end
          for kk=4:T
             XXdat(kk) = 100*(Xdat(jj,kk)+Xdat(jj,kk-1)+Xdat(jj,kk-2)+Xdat(jj,kk-3)); 
          end
          YYhat=YYhat+400*mmean(jj);
          XXdat=XXdat+400*mmean(jj);
          ff=400;
          str = {'{\fontsize{12} \bf GDP Inflation}'; '{\fontsize{10} \it (year-on-year % change)}'};
        end
    else
        ff = 1;
        str = 'Inflation (quarterly)';
    end
    plttkalman
    %set (gca,'XTick',[0 21])
    ii=ii+1;
end
if max(tauvar==5)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==5);
    if ecb_projection ==1
        yoyear=0; %=0, qoq (not annualised), =1, yoy
        if yoyear ==0
        YYhat = 100*Yhat(jj,:) +100*mmean(jj);
        XXdat = 100*Xdat(jj,:) +100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{12} \bf Real GDP Growth}'; '{\fontsize{10} \it (quarter-on-quarter % change)}'};
        elseif yoyear ==1
          for kk=4:m
             YYhat(kk) = 100*(Yhat(jj,kk)+Yhat(jj,kk-1)+Yhat(jj,kk-2)+Yhat(jj,kk-3));
          end
          for kk=4:T
             XXdat(kk) = 100*(Xdat(jj,kk)+Xdat(jj,kk-1)+Xdat(jj,kk-2)+Xdat(jj,kk-3)); 
          end
          YYhat=YYhat+400*mmean(jj);
          XXdat=XXdat+400*mmean(jj);
          ff=400;
          str = {'{\fontsize{12} \bf Real GDP Growth}'; '{\fontsize{10} \it (year-on-year % change)}'};
        end
            
    else
        ff = 1;
        str = 'Real Output Growth (q-o-q)';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
% if max(tauvar==1)==1
%     jj=find(tauvar==1);
%     subplot(n1,n2,ii)
%     if ecb_projection ==1
%         YYhat = 100*Yhat(jj,:) + 100*mmean(jj) ;
%         XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
%         ff = 100;
%         str = {'{\fontsize{12} \bf Stock Market Growth (real terms)}';  '\fontsize{10} \it (quarter-on-quarter % change)'};
%     else
%         ff = 1;
%         if fdiff ==0
%             str = ('Log, Net Worth/GDP');
%         elseif fdiff ==1
%             str = ('Real Net Worth Growth (q-o-q)');
%         end
%     end
%     plttkalman
%     %set (gca,'XTick',[0 21])
%     ii=ii+1;
% end
if max(tauvar==1)==1 && max(tauvar==2)==1 %nominal stock-market growth
    jj=find(tauvar==1);
    ij=find(tauvar==2);
    subplot(n1,n2,ii)
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*Yhat(ij,:) + 100*mmean(jj) +100*mmean(ij);
        XXdat = 100*Xdat(jj,:) + 100*Xdat(ij,:) + 100*mmean(jj) +100*mmean(ij);
        ff = 100;
        str = {'{\fontsize{12} \bf Stock Market Growth (nominal terms)}';  '\fontsize{10} \it (quarter-on-quarter % change)'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Log, Net Worth/GDP');
        elseif fdiff ==1
            str = ('Real Net Worth Growth (q-o-q)');
        end

    end
    plttkalman
    ii=ii+1;
end
if max(tauvar==11)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==11);
    if ecb_projection ==1
        YYhat = (400*Yhat(jj,:) );
        XXdat = (400*Xdat(jj,:) );
        ff = 400;
        str = {'{\fontsize{12} \bf Credit-Risk Premium}'; '{\fontsize{10} \it (in percent p.a., demeaned)}'};
    else
        ff = 1;
        str = 'Premium (quarterly)';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==4)==1 && max(tauvar==2)==1 %nominal credit growth
    subplot(n1,n2,ii)
    jj=find(tauvar==4);
    ij=find(tauvar==2);
    annualised=1; %=0, or =1
    if annualised ==1
        Dcredit_hat = 400*Yhat(jj,tt1) + 400*Yhat(ij,tt1) + 400*mmean(jj) +400*mmean(ij);
        Dcredit_dat = 400*Xdat(jj,tt) + 400*Xdat(ij,tt) + 400*mmean(jj) +400*mmean(ij);
    elseif annualised ==0
        Dcredit_hat = 100*Yhat(jj,tt1) + 100*Yhat(ij,tt1) + 100*mmean(jj) +100*mmean(ij);
        Dcredit_dat = 100*Xdat(jj,tt) + 100*Xdat(ij,tt) + 100*mmean(jj) + 100*mmean(ij);
    end
    
    plot(date1(tt),Dcredit_dat,'b-',date1(tt1),Dcredit_hat,'b:','LineWidth',3);
    set(gca,'YGrid','on')
    %set(gca,'XTick',date1(tt(1)):1:date1(tt(end)))
    set(gca,'Ycolor',[0 0 0.4])
    set(gca,'Xcolor',[0 0 0.4])

    line(date1(max([T m])),zeros(size(date1(max([T m])))),'LineStyle','-','LineWidth', 1,'Color',[0,0,0])
    
    line('XData',[date1(nT)+0.12, date1(nT)+.12],'YData',[min([0,min(Dcredit_hat),min(Dcredit_dat)]), ...
    max([0,max(Dcredit_hat),max(Dcredit_dat)])], ...
    'LineStyle','-', 'LineWidth', 2, 'Color',[0.6 0.6 0.6])
    if annualised ==1
        title({'{\fontsize{12} \bf Nominal Credit Growth}'; '{\fontsize{10} \it (annualised quarter-on-quarter growth rate)}'},'Color',[0 0 0.4],'FontName','Gill Sans MT');
    elseif annualised ==0
        title({'{\fontsize{12} \bf Nominal Credit Growth}'; '{\fontsize{10} \it (quarter-on-quarter growth rate)}'},'Color',[0 0 0.4],'FontName','Gill Sans MT');
    end
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==14)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==14);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{12} \bf 3-month Nominal Interest Rate}'; '{\fontsize{10} \it (in percent p.a.)}'} ;
        str2 = strvcat('Note: ''p.c.'' stands for per-capita terms. Variables are estimated in deviation from steady state. Unless differently specified, they are plotted including their steady-state value. ', ...
                       'The real interest rate is constructed as the annualised quarterly short-term nominal interest rate minus the change in the price level that occurred over the previous four quarters (all in percentage points).');
    else
        ff = 1;
        str = 'Short-term Rate (quarterly)';
        str2 = 'Note: p.c. stands for per-capita terms';
    end
    plttkalman
    oo = axis;
    text(oo(1)-2,oo(3)-2,str2,'FontSize',8)
    ii=ii+1;
end
%%
figure, orient landscape
n1=1;n2=2;
ii=1;

if max(tauvar==8)==1 && max(tauvar==2)==1 %nominal M1 growth
    subplot(n1,n2,ii)
    jj=find(tauvar==8);
    ij=find(tauvar==2);
    Dm1_hat = 400*Yhat(jj,tt1) + 400*Yhat(ij,tt1) + 400*mmean(jj) + 400*mmean(ij);
    Dm1_dat = 400*Xdat(jj,tt) + 400*Xdat(ij,tt) + 400*mmean(jj) + 400*mmean(ij);
    
    plot(date1(tt),Dm1_dat,'b-',date1(tt1),Dm1_hat,'b:','LineWidth',3);
    set(gca,'YGrid','on')
    %set(gca,'XTick',date(tt(1)):1:date(tt(end)))
    set(gca,'Ycolor',[0 0 0.4])
    set(gca,'Xcolor',[0 0 0.4])

    line(date1(max([T m])),zeros(size(date1(max([T m])))),'LineStyle','-','LineWidth', 1,'Color',[0,0,0])

    line('XData',[date1(nT)+0.12, date1(nT)+.12],'YData',[min([0,min(Dm1_hat),min(Dm1_dat)]), ...
    max([0,max(Dm1_hat),max(Dm1_dat)])], ...
    'LineStyle','-', 'LineWidth', 2, 'Color',[0.6 0.6 0.6])
    title({'{\fontsize{12} \bf Nominal M1 Growth}'; '{\fontsize{10} \it (annualised quarter-on-quarter growth rate)}'},'Color',[0 0 0.4],'FontName','Gill Sans MT');
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
if max(tauvar==9)==1 && max(tauvar==2)==1 %nominal M3 growth
    subplot(n1,n2,ii)
    jj=find(tauvar==9);
    ij=find(tauvar==2);
    Dm3_hat = 400*Yhat(jj,tt1) + 400*Yhat(ij,tt1) + 400*mmean(jj) +400*mmean(ij);
    Dm3_dat = 400*Xdat(jj,tt) + 400*Xdat(ij,tt) + 400*mmean(jj) +400*mmean(ij);
    
    plot(date1(tt),Dm3_dat,'b-',date1(tt1),Dm3_hat,'b:','LineWidth',3);
    set(gca,'YGrid','on')
    %set(gca,'XTick',date(tt(1)):1:date(tt(end)))
    set(gca,'Ycolor',[0 0 0.4])
    set(gca,'Xcolor',[0 0 0.4])

    line(date1(max([T m])),zeros(size(date1(max([T m])))),'LineStyle','-','LineWidth', 1,'Color',[0,0,0])

    line('XData',[date1(nT)+0.12, date1(nT)+.12],'YData',[min([0,min(Dm3_hat),min(Dm3_dat)]), ...
    max([0,max(Dm3_hat),max(Dm3_dat)])], ...
    'LineStyle','-', 'LineWidth', 2, 'Color',[0.6 0.6 0.6])
    title({'{\fontsize{12} \bf Nominal M3 Growth}'; '{\fontsize{10} \it (annualised quarter-on-quarter growth rate)}'},'Color',[0 0 0.4],'FontName','Gill Sans MT');

    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end
%%

figure, orient landscape
n1=3;n2=3;
ii=1;

if max(tauvar==10)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==10);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*mmean(jj);
        XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{10} Real Consumption Growth}'; '{\fontsize{8} \it (quarter-on-quarter % change)}'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Log, Consumption/GDP');
        elseif fdiff ==1
            str = ('Real Consumption (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==7)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==7);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*mmean(jj);
        XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{10} Real Investment Growth}'; '{\fontsize{8} \it (quarter-on-quarter % change)}'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Log, Investment/GDP');
        elseif fdiff ==1
            str = ('Real Investment Growth (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==6)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==6);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Real Wage Growth}'; '{\fontsize{8} \it (annualised quarter-on-quarter % change)}'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Log, Real Wage/GDP');
        elseif fdiff ==1
            str = ('Real Wage Growth (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end

if max(tauvar==12)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==12);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:)+400*mmean(jj);
        XXdat = 400*Xdat(jj,:)+400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Spread (10Y gov. bond yield and 3M rate)}'; '{\fontsize{8} \it (in percent p.a., demeaned)}'};
    else
        ff = 1;
        str = 'Long - Short Rate';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end

subplot(n1,n2,ii)
jj=find(tauvar==2);
jjj=find(tauvar==14);
real_xdat = 400*Xdat(jjj,tt) - 100*( Xdat(jj,tt)+Xdat(jj,tt-1)+Xdat(jj,tt-2)+Xdat(jj,tt-3) ) + 400*mmean(jjj) - 400*mmean(jj);
real_ydat = 400*Yhat(jjj,tt1) - 100*( Yhat(jj,tt1)+Yhat(jj,tt1-1)+Yhat(jj,tt1-2)+Yhat(jj,tt1-3) ) +400*mmean(jjj) - 400*mmean(jj);

plot(date1(tt),real_xdat,'b-',date1(tt1),real_ydat,'b:','Linewidth',3);
set(gca,'YGrid','on')
%set(gca,'XTick',date(tt(1)):1:date(tt(end)))
set(gca,'Ycolor',[0 0 0.4])
set(gca,'Xcolor',[0 0 0.4])

line(date1(max([T m])),zeros(size(date1(max([T m])))),'LineStyle','-','LineWidth', 1,'Color',[0,0,0])

line('XData',[date1(nT)+0.12, date1(nT)+.12],'YData',[min([0,min(real_ydat),min(real_xdat)]), ...
    max([0,max(real_ydat),max(real_xdat)])], ...
    'LineStyle','-', 'LineWidth', 2, 'Color',[0.6 0.6 0.6])

title({'{\fontsize{10} 3-month Real Interest Rate}'; '{\fontsize{8} \it (in percent, p.a.) }' },'Color',[0 0 0.4])
axis tight
ii=ii+1;

if max(tauvar==9)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==9);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Real M3 Growth}'; '{\fontsize{8} \it (annualised quarter-on-quarter growth rate)}'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Log, M3 Velocity');
        elseif fdiff ==1
            str = ('Real M3 Growth (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end

if max(tauvar==18)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==18);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*mmean(jj);
        XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{10} Oil Price Growth (real terms)}'; '{\fontsize{8} \it (quarter-on-quarter % change, demeaned)}'};
    else
        ff = 1;
        if fdiff ==0
            str = ('Oil Price (real terms, q-o-q)');
        elseif fdiff ==1
            str = ('Oil Price (real terms, q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=11+1;
end

str3 = 'Actual (Solid Line), Estimated and Forecasted (Dotted Line), +/- One Std. Error (Grey Area)';
hout=suptitle(str3);

%%%plot other variables
figure, orient landscape
n1=3;
n2=3;
ii=1;
if max(tauvar==3)==1
    subplot(n1,n2,ii)     
    jj=find(tauvar==3);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:);
        XXdat = 100*Xdat(jj,:);
        ff = 100;
        str = {'{\fontsize{10} Hours Worked (in logarithm)}'; '{\fontsize{8} \it (quarterly %, demeaned)}'};
    else
        ff = 1;
        str = 'Log, Hours Worked (quarterly)';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==4)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==4);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Real Credit Growth}'; '{\fontsize{8} \it (annualised quarter-on-quarter growth rate)}'};

    else
        ff = 1;
        if fdiff ==0
            error('check linear.m to see whether it has been implemented correctly')
        elseif fdiff ==1
            str = ('Real Loans Growth (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==8)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==8);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Real M1 Growth}'; '{\fontsize{8} \it (annualised quarter-on-quarter growth rate)}'};

    else
        ff = 1;
        if fdiff ==0
            str = ('Log, M1 Velocity');
        elseif fdiff ==1
            str = ('Real M1 Growth (q-o-q)');
        end
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==13)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==13);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:) + 400*mmean(jj);
        XXdat = 400*Xdat(jj,:) + 400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Interest Rate on Deman Deposits}'; '{\fontsize{8} \it (in percent p.a.)}'} ;

    else
        ff = 1;
        str = 'Rate on Demand Deposit (quarterly)';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==15)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==15);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:);
        XXdat = 100*Xdat(jj,:);
        ff = 100;
        str = {'{\fontsize{10} Capacity Utilization (in logarithm)}'; '{\fontsize{8} \it (quarterly %, demeaned)}'};
    else
        ff = 1;
        str = 'Log, Hours Worked (quarterly)';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==16)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==16);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*mmean(jj);
        XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{10} Real Government Consumption Growth}'; '{\fontsize{8} \it (quarter-on-quarter % change)}'};

    else
        ff = 1;
        str = ('Real Consumption (q-o-q)');
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==17)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==17);
    if ecb_projection ==1
        YYhat = 100*Yhat(jj,:) + 100*mmean(jj);
        XXdat = 100*Xdat(jj,:) + 100*mmean(jj);
        ff = 100;
        str = {'{\fontsize{10} Relative Price of Investment}'; '{\fontsize{8} \it (quarter-on-quarter % change)}'};
    else
        ff = 1;
        str = ('Relative Price of Investment (q-o-q)');
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
% if max(tauvar==19)==1
%     subplot(n1,n2,ii)
%     jj=find(tauvar==19);
%     %plot(date(tt),Xdat(jj,tt),date(tt),Yhat(jj,tt),'.',date(tt),Yhat(jj,tt))   
%     plttkalman
%     if fdiff ==0
%         title('Change in Capital Stock')
%     elseif fdiff ==1
%         title('Change in Capital Stock')
%     end
%     %set (gca,'XTick',[0 20])
% end
if max(tauvar==19)==1
    subplot(n1,n2,ii)
    jj=find(tauvar==19);
    if ecb_projection ==1
        YYhat = 400*Yhat(jj,:)+400*mmean(jj);
        XXdat = 400*Xdat(jj,:)+400*mmean(jj);
        ff = 400;
        str = {'{\fontsize{10} Spread (5Y gov. bond yield and 3M rate)}'; '{\fontsize{8} \it (in percent p.a., demeaned)}'};

    else
        ff = 1;
        str = 'Medium - Short Rate';
    end
    plttkalman
    %set (gca,'XTick',[0 20])
    ii=ii+1;
end
if max(tauvar==20)==1 && max(tauvar==2)==1 %reserves growth (nominal terms)
    subplot(n1,n2,ii)
    jj=find(tauvar==20);
    ij=find(tauvar==2);
    Dreserves_hat = 100*Yhat(jj,tt1) + 100*Yhat(ij,tt1) + 100*mmean(jj) +100*mmean(ij);
    Dreserves_dat = 100*Xdat(jj,tt) + 100*Xdat(ij,tt) + 100*mmean(jj) + 100*mmean(ij);
    
    plot(date1(tt),Dreserves_dat,'b-',date1(tt1),Dreserves_hat,'b:','LineWidth',3);
    set(gca,'YGrid','on')
    %set(gca,'XTick',date(tt(1)):1:date(tt(end)))
    set(gca,'Ycolor',[0 0 0.4])
    set(gca,'Xcolor',[0 0 0.4])

    line(date1(max([T m])),zeros(size(date1(max([T m])))),'LineStyle','-','LineWidth', 1,'Color',[0,0,0])

    line('XData',[date1(nT)+0.12, date1(nT)+.12],'YData',[min([0,min(Dreserves_hat),min(Dreserves_dat)]), ...
    max([0,max(Dreserves_hat),max(Dreserves_dat)])], ...
    'LineStyle','-', 'LineWidth', 2, 'Color',[0.6 0.6 0.6])
    title({'{\fontsize{12} \bf Banks'' Reserves Growth}'; '{\fontsize{10} \it (quarter-on-quarter growth rate)}'},'Color',[0 0 0.4],'FontName','Gill Sans MT');
    %set (gca,'XTick',[0 20])
    axis tight
    ii=ii+1;
end

hout=suptitle(str3);


