function table_vardec(outfolder,nameshock,namevariable,var_dec,cycle1,cycle2,name,entr,frequency,cdir,switcher)

var_dec = round(var_dec); %we round all entries to nearest integer. As numbers are in percent, this is not a problem

ncol = size(nameshock,1)+1; %the last one is to allow for string with variable names
lengthxx = size(namevariable,1);

if switcher==1
    fid=fopen([outfolder '\write_temp_bc.m'],'w');
elseif switcher==2
    fid=fopen([outfolder '\write_temp_lf.m'],'w');
end

fprintf(fid,['fid = fopen(''' [strrep(cdir,'\','\\') '\\' outfolder(3:end) '\\' name] ''',''w''); \n']);

fprintf(fid,'fprintf(fid,'' \\\\documentclass{article} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\usepackage{amsfonts} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\usepackage{amsmath} \\n''); \n');

fprintf(fid,'fprintf(fid,'' \\\\setcounter{MaxMatrixCols}{10} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{OutputFilter=LATEX.DLL} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{Version=4.10.0.2345} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{Created=Thursday, October 31, 2002 05:55:21} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{LastRevised=Thursday, October 31, 2002 06:08:51} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{<META NAME="GraphicsSave" CONTENT="32">} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{<META NAME="DocumentShell" CONTENT="Standard LaTeX\\\\Standard LaTeX Article">} \\n''); \n');
fprintf(fid,'fprintf(fid,'' %%%%TCIDATA{CSTFile=40 LaTeX article.cst} \\n''); \n');

fprintf(fid,'fprintf(fid,'' \\\\newtheorem{theorem}{Theorem} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{acknowledgement}[theorem]{Acknowledgement} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{algorithm}[theorem]{Algorithm} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{axiom}[theorem]{Axiom} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{case}[theorem]{Case} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{claim}[theorem]{Claim} \\n''); \n' );
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{conclusion}[theorem]{Conclusion} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{condition}[theorem]{Condition} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{conjecture}[theorem]{Conjecture} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{corollary}[theorem]{Corollary} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{criterion}[theorem]{Criterion} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{definition}[theorem]{Definition} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{example}[theorem]{Example} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{exercise}[theorem]{Exercise} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{lemma}[theorem]{Lemma} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{notation}[theorem]{Notation} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{problem}[theorem]{Problem} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{proposition}[theorem]{Proposition} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{remark}[theorem]{Remark} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{solution}[theorem]{Solution} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newtheorem{summary}[theorem]{Summary} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\newenvironment{proof}[1][Proof]{\\\\noindent\\\\textbf{#1.} }{\\\\ \\\\rule{0.5em}{0.5em}} \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\input{tcilatex} \\n''); \n');

fprintf(fid,'fprintf(fid,'' \\\\begin{document} \\n''); \n');

fprintf(fid,'fprintf(fid,'' \\\\begin{equation*} \\n''); \n');

nn = '|l||';
for ii=1:ncol-1
    nn = [nn 'c|'];
end
fprintf(fid,['fprintf(fid,'' \\\\begin{tabular}{' nn '} \\\\hline \\n ''); \n']);

fprintf(fid,['fprintf(fid,'' \\\\multicolumn{' num2str(ncol) '}{|c|}{Table: Variance Decomposition at ' frequency ' Frequencies in entr=' num2str(entr) ' Model (in percent)} \\\\\\\\ [1.5ex] \\\\hline \\n ''); \n']);

nameshock_ = ['''$' deblank(nameshock(1,:)) '$'''];
ssf = '\\\\multicolumn{1}{|c|}{%%s}';
for ii=2:ncol-1
    nameshock_ = [nameshock_ ',''$' deblank(nameshock(ii,:)) '$'''];
    ssf = [ssf '& \\\\multicolumn{1}{|c|}{%%s}'];
end
ssf = ['multicolumn{1}{|l||}{}& ' ssf];

fprintf(fid,['fprintf(fid, '' \\\\'  ssf ' \\\\\\\\ \\\\hline \\n'',' nameshock_ '); \n']);

fprintf(fid,' keyboard  \n');

for ii=1:lengthxx
    rowii = num2str(var_dec(ii,1),2);
    for jj=2:ncol-1
        rowii = [rowii ' & ' num2str(var_dec(ii,jj),2)];
    end
    rowii = ['multicolumn{1}{|l||}{' namevariable(ii,1:10) '} & ' rowii];
    fprintf(fid,['fprintf(fid,'' \\\\' rowii   ' \\\\\\\\  \\\\hline \\n''); \n']);
end

fprintf(fid,'fprintf(fid,'' \\\\end{tabular}%%%% \\n''); \n');
fprintf(fid,'fprintf(fid,'' \\\\end{equation*}%%%% \\n''); \n');

fprintf(fid,['fprintf(fid,'' {\\\\small Note: }{\\\\small Decomposition of the variance corresponding to periodic components with cycles of ' num2str(cycle1) '-' num2str(cycle2) ' quarters, obtained using the spectrum of the model.}\\n''); \n']);

fprintf(fid,'fprintf(fid,'' \\\\end{document} \\n''); \n');
fprintf(fid,'fclose(fid);');

fclose(fid);

addpath([cdir outfolder(2:end)])
if switcher==1
    write_temp_bc
elseif switcher==2
    write_temp_lf
end
rmpath([cdir outfolder(2:end)])
