function [rho,X,l_psi,l_x,V_eps,R,D,xiw,xip,Sdoupr,Hdoupr,rhotil,aptil,aytil] = unl(taushock,parstoch,toest,XXX,Taylor,l_eps)

l_x     =   size(XXX,1);
lX      =   2*length(taushock);

X       =   toest(1:lX);

[rho,D] = maprho(taushock,X,parstoch);

l_psi   =   length(rho);

if isempty(XXX) == 1
    l_x=[];
    ll_psi=[];
    initxi=[];
    V_eps=[];
    R=[];
    return
else   
    V_eps   =   abs(diag(toest(lX+1:lX+l_eps)));
    R       =   abs(diag(toest(lX+l_eps+1:lX+l_eps+l_x)));
    xiw     =   toest(lX+l_eps+l_x+1);
    xip     =   toest(lX+l_eps+l_x+2);
    Sdoupr  =   toest(lX+l_eps+l_x+3);
    Hdoupr  =   toest(lX+l_eps+l_x+4);
    rhotil  =   toest(lX+l_eps+l_x+5);
    aptil   =   toest(lX+l_eps+l_x+6);
    aytil   =   toest(lX+l_eps+l_x+7);  
end