load([cdir '\mojon'], 'BM'); %matrix containing all the impulse response functions. 
% Variables are:
%  1 consumption
%  2 investment  
%  3 output
%  4 inflation
%  5 DM3
%  6 interest rate
%  7 exchange rate
benm=BM;

tt=1:20;
cvare(:,1:3)  = -benm(1:20,1:3);
ivare(:,1:3)  = -benm(21:40,1:3);
yvare(:,1:3)  = -benm(41:60,1:3);
infvare(:,1:3)= -benm(61:80,1:3);
dm3vare(:,1:3)= -benm(81:100,1:3);
Rvare(:,1:3)  = -benm(101:120,1:3);
evare(:,1:3)  = -benm(121:140,1:3);

if taushock(ij) == 19 & user ~= 1
    figure
    str='Figure : Policy Shock (Euro Area VAR: +, Model: Solid)';
    pltouteuro(yhat,yvare,Rehatp,Re,Rvare,infhat,infvare,chat,cvare,ihat,ivare, ...
        pi,muzstar,gm3,M3,dm3vare,M1_nom,Dm_unscaled,total_loans_unscal_nom,lhat,netp1_nominal,Wage_nominal,ppi,str,xt,x,Rhat,R,tt);
    hold
end
