function [ff,omega,z,G,F,Gamma,er] = leverage(Pe,llev,sp1,sig,Ubar)
er=0;
omega   =   (Pe/sp1)*(llev-1)./llev;
if omega < 0
    er=1;
    ff=0;
    z=[];
    G=[];
    F=[];
    Gamma=[];
    return
end

[G,F,Gamma,z] = valuation(omega,sig);

ff      =   (1-Gamma)*sp1*llev-Ubar;
