ss=oo_.steady_state;
tt=0:length(kbar_sigma_e)-1;
ia=3;
ib=4;
subplot(ia,ib,12)
plot(tt,100*kbar_sigma_e/ss(1))
title('capital stock')
ylabel('% deviation from ss')
axis tight

subplot(ia,ib,1)
plot(tt,100*GDP_sigma_e/ss(12))
title('GDP (c + i)')
ylabel('% deviation from ss')
axis tight

subplot(ia,ib,2)
plot(tt,100*i_sigma_e/ss(2))
title('investment')
ylabel('% deviation from ss')
axis tight

subplot(ia,ib,3)
plot(tt,100*c_sigma_e/ss(3))
title('consumption')
ylabel('% deviation from ss')
axis tight

subplot(ia,ib,4)
plot(tt,400*R_sigma_e)
ylabel('dev from ss (APR)')
title('risk free rate')
axis tight

subplot(ia,ib,5)
plot(tt,400*spread_sigma_e)
ylabel('dev from ss (APR)')
title('interest rate spread')
axis tight

subplot(ia,ib,6)
plot(tt,400*Rk_sigma_e)
ylabel('dev from ss (APR)')
title('return on capital')
axis tight

subplot(ia,ib,7)
plot(tt,100*n_sigma_e/ss(7))
ylabel('% deviation from ss')
title('net worth')
axis tight

subplot(ia,ib,8)
plot(tt,wedge_sigma_e)
title('wedge, 1-(1+R)/(1+Rk(+1))')
ylabel('deviation from ss')
axis tight

subplot(ia,ib,9)
plot(tt,100*bankrupt_sigma_e)
ylabel('deviation *100')
title('bankruptcy rate')
axis tight

subplot(ia,ib,10)
plot(tt,100*credit_sigma_e/ss(10))
title('credit')
ylabel('deviation from ss')
axis tight

subplot(ia,ib,11)
plot(tt,100*sigma_sigma_e/ss(8))
title('sigma')
ylabel('% deviation from ss')
axis tight
