function [omega,er] = ffindomeg(sig,mu,sp1)
er=0;
oomega=.001:.001:1.2;
[ff,G,F,Gamma,Gam_muG,Fprime]=findomeg(oomega(1),sig,mu,sp1);

fu(1)=ff;
ix=0;
for ii = 2:length(oomega)
    [ff,G,F,Gamma,Gam_muG,Fprime]=findomeg(oomega(ii),sig,mu,sp1);
    fu(ii)=ff;
    if fu(ii)*fu(ii-1) < 0
        ix=ix+1;
        II(ix)=ii;
    end
end
if ix > 1
    error('fatal (ffindomeg) multiple solutions')
end
if ix == 1
    x=[oomega(II(1)-1) oomega(II(1))];
    [xx,fval,exitflag] = fzero('findomeg',x,optimset,sig,mu,sp1);
    if exitflag ~= 1 | abs(fval) > .1e-10 | abs(imag(xx)) > .1e-10
        error(' fatal (ffindomeg) failed to find a zero')
    end
    omega=xx;
elseif ix == 0
    omega=0;
    er=1;
end
