% this program loads the data
if country==1
    if user==1
        addpath c:\projects\ECB\August2005\euroarea_data
    else
        addpath([curdrive 'euroarea_data'])
    end
    first_avb_obs = 1980.25; %first available observation in the sample
    %eurodata1 contains also forecasts (made in december 2006) for 2006-2008. Last data is 2006Q2 
    %%eurodata2 contains also forecasts for Re, R10, oil, net-worth (made in february 2007) for 2006-2009. Last data is 2006Q3
    %%euroarea3 contains also forecasts for all vbs but Ra, premium, M1, M3 used in FTF2 February 2007 round) up to 2009Q4. Last data history is 2006Q3
    [XXXr,XXXd,trendm1,trendm3,trendiy,date] = eurodata8(first_avb_obs,start_estimation,end_estimation,calvohours,user,outfolder); 
    
    if user==1
        rmpath c:\projects\ECB\August2005\euroarea_data
    else
        rmpath([curdrive 'euroarea_data']);
    end
elseif country==2 | country==3
    addpath([curdrive 'us_data']);
    first_avb_obs = 1959.75;
    [XXXr,XXXd,trendm1,trendm3,trendiy,date] = usdata(first_avb_obs,start_estimation,end_estimation,user,outfolder);
    rmpath([curdrive 'us_data']);
end

if fdiff == 0
    XXX = XXXr;
elseif fdiff == 1
    XXX = XXXd;
end

if fdiff == 1 & detrending ~= 0
    warning('fatal (loaddata) you are trying to detrend data but you have selected data in first differences')
end

if detrending == 1
    Y=XXX(:,1);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend1  = X(:,2)*bet(2,1);
    XXX(:,1)=Y-trend1;
    
    Y=XXX(:,2);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend2  = X(:,2)*bet(2,1);
    XXX(:,2)=Y-trend2;
        
    Y=XXX(:,4);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend4  = X(:,2)*bet(2,1);
    XXX(:,4)=Y-trend4;
    
    Y=XXX(:,6);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend6  = X(:,2)*bet(2,1);
    XXX(:,6)=Y-trend6;
    
    Y=XXX(:,7);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend7  = X(:,2)*bet(2,1);
    XXX(:,7)=Y-trend7;
    
    Y=XXX(:,10);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend10  = X(:,2)*bet(2,1);
    XXX(:,10)=Y-trend10;

    Y=XXX(:,14);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trend14  = X(:,2)*bet(2,1);
    XXX(:,14)=Y-trend14;

    Y=XXX(:,9);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trendm3  = X(:,2)*bet(2,1);
    XXX(:,9)=Y-trendm3;
    
    Y=XXX(:,8);
    X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trendm1  = X(:,2)*bet(2,1);
    XXX(:,8)=Y-trendm1;
    
elseif detrending ==2
    Y=XXX(:,1);
    YY=hpfilt(length(Y),1600);
    
    XXX(:,1)=YY*Y;
    
    Y=XXX(:,2);
    XXX(:,2)=YY*Y;
    
    Y=XXX(:,3);
    XXX(:,3)=YY*Y;
    
    Y=XXX(:,4);
    XXX(:,4)=YY*Y;
    
    Y=XXX(:,5);
    XXX(:,5)=YY*Y;
    
    Y=XXX(:,6);
    XXX(:,6)=YY*Y;
    
    Y=XXX(:,7);
    XXX(:,7)=YY*Y;
    
    Y=XXX(:,10);
    XXX(:,10)=YY*Y;
    
    Y=XXX(:,11);
    XXX(:,11)=YY*Y;

    Y=XXX(:,12);
    XXX(:,12)=YY*Y;

    Y=XXX(:,14);
    XXX(:,14)=YY*Y;
    
    Y=XXX(:,15);
    XXX(:,15)=YY*Y;
    
    Y=XXX(:,17);
    XXX(:,17)=YY*Y;

    Y=XXX(:,9);
    XXX(:,9)=YY*Y;
    
    Y=XXX(:,8);
    XXX(:,8)=YY*Y;
    
elseif detrending ==3
    %[dinfl,tinfl]=Hpfast(XXX(:,2),1600);
    %XXX(:,2)=dinfl;
    %[dre,tre]=Hpfast(XXX(:,14),1600);
    %XXX(:,14)=dre;
    keyboard
    Y = XXX(find(date==start_estimation):find(date==2001.5),9); %Y=XXX(:,9);
    X = [ones(length(find(date==start_estimation):find(date==2001.5)),1) [1:find(date==2001.5)]']; %X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trendm3  = [1:find(date==end_estimation)]'*bet(2,1); %X(:,2)*bet(2,1);
    XXX(:,9) = XXX(find(date==start_estimation):find(date==end_estimation),9) -trendm3; %Y-trendm3;
    
    Y = XXX(find(date==start_estimation):find(date==2001.5),8); %Y=XXX(:,8);
    X=[ones(length(find(date==start_estimation):find(date==2001.5)),1) [1:find(date==2001.5)]']; %X=[ones(size(XXX,1),1) [1:size(XXX,1)]'];
    bet=(X'*X)\(X'*Y);
    trendm1  = [1:find(date==end_estimation)]'*bet(2,1); %X(:,2)*bet(2,1);
    XXX(:,8) = XXX(find(date==start_estimation):find(date==end_estimation),8) -trendm1; %Y-trendm1;
end

Quarters=size(XXX,1);
if length(date) ~= Quarters
    error('fatal (loaddata) dates different from Quarters')
end

XXX=XXX';

qwh=diag([1 1 1 1 1 1 1 1 1 1 1/400 1/400  1/400 1/400 1 1 1 1 1/400 1]);

XXX=qwh*XXX;

nXXX=size(XXX,1);

[Xdat,mm,meanxxx] = demeandata(XXX,find(date==start_estimation),find(date==end_estimation),find(date==end_estimation_means),init_kalman,demean,mm,entr,country,pi,Re,R,Ra);
alp = max(tauvar==16);
alp1= max(taushock==13);
if alp ==1 & alp1 ~=1
    error('(loaddata) you have included g as observable but it is not included in taushock')
end
alp = max(tauvar==17);
alp1 = max(taushock==7);
if alp ==1 & alp1 ~=1
    error('(loaddata) you have included investment deflator as observable but muup is not included in taushock')
end
alp = max(tauvar==18);
alp1 = max(taushock==24);
if alp ==1 & alp1 ~=1
    error('(loaddata) you have included oil price as observable but tau0 is not included in taushock')
end

I15=eye(nXXX);
J = I15(tauvar,:);

if irun==7
    Xdat_dyn = exp(Xdat); %we take exponentials before exporting to Dynare, as it will take logs of the data when you will select loglinear specification
    Xdat_dyn = (J*Xdat_dyn)';
    save(name_file_dyn,'Xdat_dyn', '-append');
end

Xdat = J*Xdat;

%[Xdatta,mm_,meanxxx] = demeandata(XXX,find(date==start_estimation),find(date==end_estimation),find(date==end_estimation_means),init_kalman,demean,mm,entr,country,pi,Re,R,Ra);
%Ydat=(J*XXX)'; meanyy= meanxxx(tauvar); 
%save j:\BVAR\data\cmr_data_final_290208 Ydat meanyy 
%save j:\BVAR\data\cmr_data_final_230508 Ydat meanyy 
%save j:\BVAR\data\cmr_data_FTF1_060808 Ydat meanyy 
%save j:\BVAR\data\cmr_data_final_250808 Ydat meanyy 
% save j:\BVAR\data\cmr_data_WGF2_041108 Ydat meanyy 
%save j:\BVAR\data\cmr_data_WGF2post_041108 Ydat meanyy
%save j:\BVAR\data\cmr_data_WGF2notrend_041108 Ydat meanyy
%save j:\BVAR\data\cmr_data_final_notrend_211108 Ydat meanyy
%save j:\BVAR\data\cmr_data_FTF2_notrend_180209 Ydat meanyy 
%save j:\BVAR\data\cmr_data_march09_final_notrend Ydat meanyy 

if country==1
keyboard
%load d:\banking\euroarea_data\Xdat_BVARforecast Xdat
%load d:\banking\euroarea_data\Xdat_BVARfor_190207 Xdat
%load d:\banking\euroarea_data\Xdat_BVARfor_220207 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_090307 Xdat
%load j:\banking\euroarea_data\loans_ne_h_w Xdat
%load j:\banking\euroarea_data\data_newGDP_BMPE_060607

%load j:\banking\euroarea_data\Xdat_BVARfor_060607 Xdat; %this is the right one containing final june projetions+BVAR
%load j:\banking\euroarea_data\Xdat_BVARfor_210807 Xdat; %FTF3 September projections+BVAR
%load j:\banking\euroarea_data\Xdat_BVARfor_060907 Xdat; %final september 2007 
%load j:\banking\euroarea_data\Xdat_BVARfor_060907_new Xdat; %final september 2007 

%Xdat_old=Xdat;
%load j:\banking\euroarea_data\Xdat_BVARfor_290208 Xdat; %final March 08
%load j:\banking\euroarea_data\Xdat_BVARfor_inv_230508 %final June 08
%load j:\banking\euroarea_data\Xdat_BVARfor_FTF1_060808_junedataandassumpt Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_FTF1_060808 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_final_250808 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_FTF1_290908 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_WGF2_041108 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_WGF2post_041108 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_WGF2notrend_041108 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_final_notrend_211108 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_final_notrend_211108_1999 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_FTF2_notrend_180209 Xdat
%load j:\banking\euroarea_data\Xdat_BVARfor_march09_final_notrend Xdat

%Xdat_new=Xdat;
%for jk=1:size(Xdat_new,1); figure; plot(date,Xdat_new(jk,:),'r-',date,Xdat_old(jk,:),'k-'); axis tight; end;
%tt1=find(date==2008.0); for jk=1:size(Xdat,1);figure;plot(date(tt1:end),Xdat_new(jk,tt1:end),'r-',date(tt1:end),Xdat_old(jk,tt1:end),'k-'); end;
end
if country ==2
    keyboard
    %Xdat_old=Xdat;
    %load j:\banking\us_data\Xdat_BVARfor_us271008 Xdat
    %load j:\banking\us_data\Xdat_BVARfor_us120309 Xdat; Xdat=Xdat(:,1:120); %date=[date(1):0.25:2010.75]';
    %Xdat_new=Xdat;
    %for jk=1:size(Xdat,1); figure; plot([1981.0:0.25:2011.75],Xdat_new(jk,:),'r-',date,Xdat_old(jk,:),'k-'); axis tight; end;
end

%Xdat=Xdat(:,1:find(date==2006.0));
% Xdat(4,109)=Xdat(4,108); Xdat(8,109)=Xdat(8,108);  Xdat(9,109)=Xdat(9,108); 
%Xdat(7,:)=Xdat_old(7,:); 