%this computes the VAR for the model, looks at the rank of the variance of
%the one-step-ahead forecast error in X(t)

l_z=size(A,1);
demean=1;
mm = [];

[alf,taum,taub,taus,tausb] = linear1(tau,her,ksi,Rb,Re,c,y,i,mb,m,x,psil,w,l,psik,rk,k,muzstar,n,pi,g,ev, ...
    Pe,G,Gp,omegabar,Rk,Gs,sigma,Taylor,fdiff,M,m1,upsil,currdep,Ra,dm,m3,l_z,demean,mm,taushock,parstoch,A,B1, ...
    B2,duration1,rho,beta,tauvar,gamma,alpha,R,ttt2,entr,tauc,duration2,taud,params);

load_estimates = 1;
if load_estimates ==1
    disp(['WARNING: parameter values contained in xxnew, as save in ' outfolder '\maxlike' ' are used. Make sure they correspond to the ones you intend to use'])
    pause(2)
    load([outfolder '\maxlike'], 'xxnew', 'par'); xx=xxnew; xx=map(xx); 
    undo; loadparameters;
end

V_eps=Recon.^2;

l_xxx=size(taum,1);
DD=eye(l_xxx);
J=DD(tauvar,:);

%VV is the variance-covariance matrix of the one-step-ahead forecast error in X(t) (assuming invertibility).

VV=J*(taum*B1+taus)*D*diag(V_eps)*D'*(taum*B1+taus)'*J';
MA=J*(taum*B1+taus)*D;
[P,Lambda]=eig(VV   );
ll=diag(Lambda);
[YY,loc]=min(ll);
[YY1,loc1]=max(ll);
d=P(:,loc);
disp('min eigenvalue')
Lambda(loc,loc)
disp('max eigenvalue')
Lambda(loc1,loc1)

p=5;
N=1000;

n=size(J,1);
F=diag(Vmeas.^2);
[V,varcoef] =  projection(p,N,'JDspectral',taum,taub,taus,rho,A,B1,D,J,F,diag(V_eps));

%compute the constant of the VAR
rowsJ=length(tauvar);

a=eye(size(varcoef,1));
for lll = 1:p
    a = a - varcoef(:,rowsJ*(lll-1)+1:rowsJ*lll);
end;

a = a*alf(tauvar);