function [ff,Gamma,Gam_muG,Fomega,Gomega]=gtomega(omega,sigma,mu,s)
z       =   (log(omega)+sigma^2/2)/sigma;
Gamma   =   normcdf(z-sigma)+omega*(1-normcdf(z));
Gam_muG =   (1-mu)*normcdf(z-sigma)+omega*(1-normcdf(z));
Fomega  =   normcdf(z);
Gomega  =   normcdf(z-sigma);

%F(omegabar) = normcdf(z)

ff  =   (1-Gamma)*s+(1-Fomega)/(1-Fomega-mu*omega*lognpdf(omega,-sigma^2/2,sigma))*(s*Gam_muG-1);
