function [mb,lamz,ff] = nobanknoentr(mb,pi,c,uzc,muzstar,beta,v,sigmaq,tauc,entr,pref)

%FOC for consumption (aa20)
if pref == 1%benchmark preferences 
    aa = v*(c^(-sigmaq))*(pi*muzstar*(1+tauc)/(mb))^(1-sigmaq);
    lamz=(uzc-aa)/(1+tauc);
elseif pref == 0%ACEL preferences
    lamz=uzc/(1+tauc);
end

%equation aa17b
if pref ==1
    ff= (v*((1+tauc)*c*pi*muzstar)^(1-sigmaq))*(1/mb)^(2-sigmaq)-lamz*(1/beta-1/(pi*muzstar));
elseif pref ==0
    ff= (v*(pi*muzstar)^(1-sigmaq))*(1/mb)^(2-sigmaq)-lamz*(1/beta-1/(pi*muzstar));
end    

