function printshocks(xx,par,parstoch,taushock,cdir,tauvar,tauvar2,nXXX,taushock2,taushock1,taushock3,fdiff,II,name,sexx)


if isempty(sexx)
    sexx=zeros(length(xx),1);
end
fid = fopen([cdir '\shock.out'],'w');

[nameshocks,nameXXX] = getnames(fdiff);

xx1   =   map(xx);
xx=xx1;
undo

ix=1;
iy=1;
for ii = 1:length(taushock)
    Std_eps(ix)=Recon(iy);
    if parstoch(taushock(ii)) > 0
        Std_eps(ix+1)=Recon(iy+1);
    end
    iy=iy+parstoch(taushock(ii))+1;
    if parstoch(taushock(ii)) > 0
        ix=ix+1+1;
    else
        ix=ix+1;
    end
end

Std_meas=Vmeas;

elasticities = length(xx)-(length(find(tauvar2))+l_eps+length(taushock2)+length(taushock1)); %No. of elasticities that are estimated

if isempty(taushock1)==0
    sexxrho1 = sexx(elasticities+1:elasticities+length(taushock1));
end
if isempty(taushock2)==0
    sexxrho2 = sexx(elasticities+length(taushock1)+1:elasticities+length(taushock1)+length(taushock2));
end
if isempty(taushock3)==0
    sexxstd = sexx(elasticities+length(taushock1)+length(taushock2)+1:elasticities+length(taushock1)+length(taushock2)+l_eps);
end
if isempty(find(tauvar2))==0
    sexxme = sexx(elasticities+length(taushock1)+length(taushock2)+l_eps+1:end);
end


iy=0;
ix=0;
ih=0;
ik=0;
for ii = 1:size(nameshocks,1)
    if max(taushock==ii) == 1
        iy=iy+1; %it counts the number of economic-shock standard deviations (including signals)
        ix=ix+1; %it counts the number of shocks included in taushock
        %tt=[nameshocks(ii,:),'  rho1       = %6.3f, rho2 = %6.3f, std dev of epsilon = %6.3f'];
        tt=['%s','  rho1       = %6.3f, rho2 = %6.3f, std dev of epsilon = %6.3f'];
        
        if parstoch(taushock(ix)) == 0
            tt=[tt,'\n'];
            fprintf(fid,tt,nameshocks(ii,:),stochrho1(ii),stochrho2(ii),(Std_eps(iy)));
            if max(taushock1==ii)==1 
                ih=ih+1; %it counts the number of estimated rho1 (i.e. shocks included in taushock1)
                MATa(ix,:)=[stochrho1(ii),sexxrho1(ih),stochrho2(ii)];
            else
                MATa(ix,:)=[stochrho1(ii),0,stochrho2(ii)];
            end
            if max(taushock3==ii)==1
                ik=ik+1; %it counts the number of economic-shock standard deviations that are estimated (i.e. included in taushock3)
                MATb(ix,:)=[Std_eps(iy),sexxstd(ik),0,0];
            else
                MATb(ix,:)=[Std_eps(iy),0,0,0];
            end
        else
            tt=[tt,'  standard deviation of signal = %6.3f\n'];
            iy=iy+1;
            fprintf(fid,tt,nameshocks(ii,:),stochrho1(ii),stochrho2(ii),(Std_eps(iy-1)),(Std_eps(iy)));
            if max(taushock1==ii)==1 
                ih=ih+1;
                MATa(ix,:)=[stochrho1(ii),sexxrho1(ih),stochrho2(ii)];
            else
                MATa(ix,:)=[stochrho1(ii),0,stochrho2(ii)];                
            end
            if max(taushock3==ii)==1
                ik=ik+2;
                MATb(ix,:)=[Std_eps(iy-1),sexxstd(ik-1),Std_eps(iy),sexxstd(ik)];
            else
                MATb(ix,:)=[Std_eps(iy-1),0,Std_eps(iy),0];
            end
        end
    end
end

labelsYa = char('rho1','stdd (Hess.)','rho2');
labelsXa = char(nameshocks(taushock,:));
tableMAT(labelsXa,labelsYa,MATa)

labelsYb = char('std, epsilon','stdd (Hess.)','std, signal','stdd (Hess.)');
labelsXb = char(nameshocks(taushock,:));
tableMAT(labelsXb,labelsYb,MATb)

if length(tauvar)>0
    ix=0;
    iy=0;
    IJ=[];
    for ii = 1:nXXX
        if max(tauvar==ii) == 1
            ix=ix+1;
            
            tt=[nameXXX(ii,:),' standard deviation of measurement error = %6.3f\n'];
            IJ(ix)=ii;
            fprintf(fid,tt,(Std_meas(ix)));

            if tauvar2(ix) == 1
                iy=iy+1;
                MATc(ix,:)=[Std_meas(ix),sexxme(iy)];
            else
                MATc(ix,:)=[Std_meas(ix),0];
            end
        end
    end

    labelsYc  = char('std, measurement error','stdd (Hess.)');
    labelsXc  = char(nameXXX(IJ,:));
    tableMAT(labelsXc,labelsYc,MATc)
end

rob1 = find(II(:,1)==1);
labelsX = name(rob1(1:elasticities),:);
labelsY=char('parameter values', '    stdd (Hess.)');
tableMAT(labelsX,labelsY,[xx(1:elasticities)',sexx(1:elasticities)])

fclose(fid);