function tableMAT(labelsX,labelsY,MAT)

% Tabulates the entries in MAT and puts the labels to the X and Y
% dimensions.

% INPUTS
% labelsX   M-Rows matrix of labels associated with rows
% labelsY   N-Rows matrix of labels associated with columns
% MAT       MxN matrix

% August 2004

labelsX=deblank(labelsX); 
labelsY=deblank(labelsY);
[M nM]=size(labelsX);
[N nN]=size(labelsY);
nn=23;%nM;
%labelsX=labelsX(:,1:min(nn,nM));
labelsX=labelsX(:,1:nM);
labelsY=labelsY(:,1:min(nn,nN)); 

disp(' ')
arr='----------------------------';
if nM > 20
    arr='---------------------------------------';
end
%header=[blanks(nn+1)];
header=[blanks(nM+3)];

line=arr;
for i=1:N
    header  =[header labelsY(i,1:min(nN,nn)) blanks(nn+1-min(nN,nn))];
    line    =[line arr];
end
disp(line); disp(header); disp(line);

% for i=1:M
%     %polfunc=[labelsX(i,1:min(nM,nn)) blanks(nn+1-min(nM,nn))];
%     polfunc=[labelsX(i,1:nM) blanks(nn+1-min(nM,nn))];    
%     for j=1:N
%         coef=sprintf('%9.5g',MAT(i,j));
%         polfunc=[polfunc coef blanks(nn+1-min(length(coef),nn+1))];
%     end
%     disp(polfunc); clear polfunc;
% end
for i=1:M
    %polfunc=[labelsX(i,1:min(nM,nn)) blanks(nn+1-min(nM,nn))];
    polfunc=sprintf('%s',labelsX(i,1:nM));
    polfunc=[polfunc blanks(nn+1-min(nM,nn))];    
    for j=1:N
        coef=sprintf('%9.5g',MAT(i,j));
        polfunc=[polfunc coef blanks(nn+1-min(length(coef),nn+1))];
    end
    disp(polfunc); clear polfunc;
end


disp(line); disp('  ');