function [ff,omega,z,G,F,Gamma,er] = leverage(Pe,llev,sp1,sig,Ubar)
er=0;
omega   =   (Pe/sp1)*(llev-1)./llev;
if omega < 0
    er=1;
    ff=0;
    z=[];
    G=[];
    F=[];
    Gamma=[];
    return
end
z       =   (log(omega)+sig^2/2)/sig;
G       =   .5*(1-erf(-(z-sig)/sqrt(2)));
F       =   .5*(1-erf(-z/sqrt(2)));
Gamma   =   G+omega*(1-F);
ff      =   (1-Gamma)*sp1*llev-Ubar;
