function [] = plotresponses(yhat,ihat,chat,uhat,lhat,what,infhat,pi,Rehatp,Re,qhat,qavrghat,nhatp,premiumhat,Pe,total_loans,tt,String1)

figure

isp=0;%if 1, just do the regular graph associated with the ECB project.

colormap(gray);
cm=colormap;
shdcol=cm(37,:);

if isp ~= 0
subplot(3,4,1)
plot(tt,yhat(tt)*100,'b-')
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Output');

subplot(3,4,2)
plot(tt,ihat(tt)*100,'b-');
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Investment');

subplot(3,4,3)
plot(tt,chat(tt)*100,'b-');
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Consumption');

subplot(3,4,4)
plot(tt,uhat(tt)*100,'b-');
axis tight
ylabel('percent');
set(gca,'Xticklabel',{''});
title('Capacity Utilization ')

subplot(3,4,5)
plot(tt,lhat(tt)*100,'b-');
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Hours Worked');

subplot(3,4,6)
plot(tt,what(tt)*100,'b-');
axis tight
set(gca,'Xticklabel',{''});
title('Real Wage')
ylabel('Percent')

subplot(3,4,7)
plot(tt,infhat(tt)*pi*400,'b-');
axis tight
set (gca,'XTicklabel',{''})
title('Inflation (APR)');

subplot(3,4,8)
plot(tt,Rehatp(tt)*Re*400*100,'b-')
axis tight
set(gca,'Xticklabel',{''});
ylabel('basis points')
title('Re (Annual Rate)');

subplot(3,4,9)
if isempty(qavrghat)==1
    plot(tt,qhat(tt)*100,'b-');
    title('Q^M');
else
    plot(tt,qhat(tt)*100,'b-',tt,qavrghat(tt)*100,'r:');
    title('Q^M (solid), Q^A (dotted)');
end
axis tight
%set(gca,'Xticklabel',{''});
ylabel('percent');

subplot(3,4,10)
plot(tt,nhatp(tt)*100,'b-')
axis tight
%set(gca,'Xticklabel',{''});
ylabel('percent');
title('Real Net Worth');

subplot(3,4,11)
plot(tt,premiumhat(tt)*Pe*400*100,'b-')  
axis tight
%set(gca,'Xticklabel',{''});
ylabel('basis points')
title('Premium (Annual Rate)');

subplot(3,4,12)
plot(tt,total_loans(tt)*100,'b-')
axis tight
%set(gca,'Xticklabel',{''});
ylabel('percent');
title('Total Loans (Real)');


hout=suptitle(String1);
return
end

sv=0;
if sv==1
    yhat1= yhat;ihat1= ihat;chat1=chat;infhat1=infhat;Rehatp1=Rehatp;nhatp1=nhatp;premiumhat1=premiumhat;total_loans1=total_loans;
    save impe yhat1 ihat1 chat1 infhat1 Rehatp1 nhatp1 premiumhat1 total_loans1
    return
else
    load impe yhat1 ihat1 chat1 infhat1 Rehatp1 nhatp1 premiumhat1 total_loans1
end

figure('name','paper signal')
ia=2;
ib=4;
tt=1:16;
subplot(ia,ib,1)
plot(tt,yhat(tt)*100,'b-',tt,yhat1(tt)*100,'*-')
legend('contemporaneous shock','8 - quarter in advance signal')
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Output');

subplot(ia,ib,2)
plot(tt,ihat(tt)*100,'b-',tt,ihat1(tt)*100,'*-');
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Investment');

subplot(ia,ib,3)
plot(tt,chat(tt)*100,'b-',tt,chat1(tt)*100,'*-');
axis tight
ylabel('percent');
set (gca,'XTicklabel',{''})
title('Consumption');

subplot(ia,ib,4)
plot(tt,infhat(tt)*pi*400,'b-',tt,infhat1(tt)*pi*400,'*-');
axis tight
set (gca,'XTicklabel',{''})
title('Inflation (APR)');

subplot(ia,ib,5)
plot(tt,Rehatp(tt)*Re*400*100,'b-',tt,Rehatp1(tt)*Re*400*100,'*-')
axis tight
%set(gca,'Xticklabel',{''});
ylabel('basis points')
title('Re (Annual Rate)');

subplot(ia,ib,6)
plot(tt,nhatp(tt)*100,'b-',tt,nhatp1(tt)*100,'*-')
axis tight
%set(gca,'Xticklabel',{''});
ylabel('percent');
title('Real Net Worth');

subplot(ia,ib,7)
plot(tt,premiumhat(tt)*Pe*400*100,'b-',tt,premiumhat1(tt)*Pe*400*100,'*-')  
axis tight
%set(gca,'Xticklabel',{''});
ylabel('basis points')
title('Risk Spread (Annual Rate)');

subplot(ia,ib,8)
plot(tt,total_loans(tt)*100,'b-',tt,total_loans1(tt)*100,'*-')
axis tight
%set(gca,'Xticklabel',{''});
ylabel('percent');
title('Total Credit (Real)');
String=['Figure xx: Dynamic response to contemporaneous and 8 period lagged news about risk, \sigma_{t}']
hout=suptitle(String);